Create Pipeline Config
curl --request POST \
--url https://api.runpulse.com/pipeline/configs \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"config": {
"step": {
"type": "parse",
"config": {
"model": "ultra-2",
"storage": {
"save": true,
"folder_id": "<string>"
},
"page_range": "<string>",
"prompt": "<string>",
"extensions": {
"additional_formats": [],
"footnotes": false,
"document_metadata": false,
"word_level_bounding_boxes": false,
"chunking": {
"strategies": []
}
},
"enhancements": {
"detect": [],
"figures": {
"describe": [],
"include": false,
"prompt": null
},
"refine": {
"modes": []
},
"spreadsheet": {
"cell_formatting": false,
"include_hidden": [],
"raw_values": false,
"trim_empty": []
}
}
}
},
"children": [
{
"type": "extract",
"config": {
"input_schema": {},
"page_range": "<string>",
"prompt": "<string>",
"effort": "low",
"confidence": "standard",
"format": [
"enriched"
]
}
}
]
}
}
'import requests
url = "https://api.runpulse.com/pipeline/configs"
payload = {
"name": "<string>",
"config": {
"step": {
"type": "parse",
"config": {
"model": "ultra-2",
"storage": {
"save": True,
"folder_id": "<string>"
},
"page_range": "<string>",
"prompt": "<string>",
"extensions": {
"additional_formats": [],
"footnotes": False,
"document_metadata": False,
"word_level_bounding_boxes": False,
"chunking": { "strategies": [] }
},
"enhancements": {
"detect": [],
"figures": {
"describe": [],
"include": False,
"prompt": None
},
"refine": { "modes": [] },
"spreadsheet": {
"cell_formatting": False,
"include_hidden": [],
"raw_values": False,
"trim_empty": []
}
}
}
},
"children": [
{
"type": "extract",
"config": {
"input_schema": {},
"page_range": "<string>",
"prompt": "<string>",
"effort": "low",
"confidence": "standard",
"format": ["enriched"]
}
}
]
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {
step: {
type: 'parse',
config: {
model: 'ultra-2',
storage: {save: true, folder_id: '<string>'},
page_range: '<string>',
prompt: '<string>',
extensions: {
additional_formats: [],
footnotes: false,
document_metadata: false,
word_level_bounding_boxes: false,
chunking: {strategies: []}
},
enhancements: {
detect: [],
figures: {describe: [], include: false, prompt: null},
refine: {modes: []},
spreadsheet: {cell_formatting: false, include_hidden: [], raw_values: false, trim_empty: []}
}
}
},
children: [
{
type: 'extract',
config: {
input_schema: {},
page_range: '<string>',
prompt: '<string>',
effort: 'low',
confidence: 'standard',
format: ['enriched']
}
}
]
}
})
};
fetch('https://api.runpulse.com/pipeline/configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runpulse.com/pipeline/configs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'config' => [
'step' => [
'type' => 'parse',
'config' => [
'model' => 'ultra-2',
'storage' => [
'save' => true,
'folder_id' => '<string>'
],
'page_range' => '<string>',
'prompt' => '<string>',
'extensions' => [
'additional_formats' => [
],
'footnotes' => false,
'document_metadata' => false,
'word_level_bounding_boxes' => false,
'chunking' => [
'strategies' => [
]
]
],
'enhancements' => [
'detect' => [
],
'figures' => [
'describe' => [
],
'include' => false,
'prompt' => null
],
'refine' => [
'modes' => [
]
],
'spreadsheet' => [
'cell_formatting' => false,
'include_hidden' => [
],
'raw_values' => false,
'trim_empty' => [
]
]
]
]
],
'children' => [
[
'type' => 'extract',
'config' => [
'input_schema' => [
],
'page_range' => '<string>',
'prompt' => '<string>',
'effort' => 'low',
'confidence' => 'standard',
'format' => [
'enriched'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.runpulse.com/pipeline/configs"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"config\": {\n \"step\": {\n \"type\": \"parse\",\n \"config\": {\n \"model\": \"ultra-2\",\n \"storage\": {\n \"save\": true,\n \"folder_id\": \"<string>\"\n },\n \"page_range\": \"<string>\",\n \"prompt\": \"<string>\",\n \"extensions\": {\n \"additional_formats\": [],\n \"footnotes\": false,\n \"document_metadata\": false,\n \"word_level_bounding_boxes\": false,\n \"chunking\": {\n \"strategies\": []\n }\n },\n \"enhancements\": {\n \"detect\": [],\n \"figures\": {\n \"describe\": [],\n \"include\": false,\n \"prompt\": null\n },\n \"refine\": {\n \"modes\": []\n },\n \"spreadsheet\": {\n \"cell_formatting\": false,\n \"include_hidden\": [],\n \"raw_values\": false,\n \"trim_empty\": []\n }\n }\n }\n },\n \"children\": [\n {\n \"type\": \"extract\",\n \"config\": {\n \"input_schema\": {},\n \"page_range\": \"<string>\",\n \"prompt\": \"<string>\",\n \"effort\": \"low\",\n \"confidence\": \"standard\",\n \"format\": [\n \"enriched\"\n ]\n }\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.runpulse.com/pipeline/configs")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"config\": {\n \"step\": {\n \"type\": \"parse\",\n \"config\": {\n \"model\": \"ultra-2\",\n \"storage\": {\n \"save\": true,\n \"folder_id\": \"<string>\"\n },\n \"page_range\": \"<string>\",\n \"prompt\": \"<string>\",\n \"extensions\": {\n \"additional_formats\": [],\n \"footnotes\": false,\n \"document_metadata\": false,\n \"word_level_bounding_boxes\": false,\n \"chunking\": {\n \"strategies\": []\n }\n },\n \"enhancements\": {\n \"detect\": [],\n \"figures\": {\n \"describe\": [],\n \"include\": false,\n \"prompt\": null\n },\n \"refine\": {\n \"modes\": []\n },\n \"spreadsheet\": {\n \"cell_formatting\": false,\n \"include_hidden\": [],\n \"raw_values\": false,\n \"trim_empty\": []\n }\n }\n }\n },\n \"children\": [\n {\n \"type\": \"extract\",\n \"config\": {\n \"input_schema\": {},\n \"page_range\": \"<string>\",\n \"prompt\": \"<string>\",\n \"effort\": \"low\",\n \"confidence\": \"standard\",\n \"format\": [\n \"enriched\"\n ]\n }\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.runpulse.com/pipeline/configs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"config\": {\n \"step\": {\n \"type\": \"parse\",\n \"config\": {\n \"model\": \"ultra-2\",\n \"storage\": {\n \"save\": true,\n \"folder_id\": \"<string>\"\n },\n \"page_range\": \"<string>\",\n \"prompt\": \"<string>\",\n \"extensions\": {\n \"additional_formats\": [],\n \"footnotes\": false,\n \"document_metadata\": false,\n \"word_level_bounding_boxes\": false,\n \"chunking\": {\n \"strategies\": []\n }\n },\n \"enhancements\": {\n \"detect\": [],\n \"figures\": {\n \"describe\": [],\n \"include\": false,\n \"prompt\": null\n },\n \"refine\": {\n \"modes\": []\n },\n \"spreadsheet\": {\n \"cell_formatting\": false,\n \"include_hidden\": [],\n \"raw_values\": false,\n \"trim_empty\": []\n }\n }\n }\n },\n \"children\": [\n {\n \"type\": \"extract\",\n \"config\": {\n \"input_schema\": {},\n \"page_range\": \"<string>\",\n \"prompt\": \"<string>\",\n \"effort\": \"low\",\n \"confidence\": \"standard\",\n \"format\": [\n \"enriched\"\n ]\n }\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"config_id": "<string>",
"name": "<string>",
"config": {
"step": {
"type": "parse",
"config": {
"model": "ultra-2",
"storage": {
"save": true,
"folder_id": "<string>"
},
"page_range": "<string>",
"prompt": "<string>",
"extensions": {
"additional_formats": [],
"footnotes": false,
"document_metadata": false,
"word_level_bounding_boxes": false,
"chunking": {
"strategies": []
}
},
"enhancements": {
"detect": [],
"figures": {
"describe": [],
"include": false,
"prompt": null
},
"refine": {
"modes": []
},
"spreadsheet": {
"cell_formatting": false,
"include_hidden": [],
"raw_values": false,
"trim_empty": []
}
}
}
},
"children": [
{
"type": "extract",
"config": {
"input_schema": {},
"page_range": "<string>",
"prompt": "<string>",
"effort": "low",
"confidence": "standard",
"format": [
"enriched"
]
}
}
]
},
"created_at": "<string>",
"updated_at": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}Configs
Create Pipeline Config
Save a config under a name. Later, send its config_id to POST /pipeline in place of config.
POST
/
pipeline
/
configs
Create Pipeline Config
curl --request POST \
--url https://api.runpulse.com/pipeline/configs \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"config": {
"step": {
"type": "parse",
"config": {
"model": "ultra-2",
"storage": {
"save": true,
"folder_id": "<string>"
},
"page_range": "<string>",
"prompt": "<string>",
"extensions": {
"additional_formats": [],
"footnotes": false,
"document_metadata": false,
"word_level_bounding_boxes": false,
"chunking": {
"strategies": []
}
},
"enhancements": {
"detect": [],
"figures": {
"describe": [],
"include": false,
"prompt": null
},
"refine": {
"modes": []
},
"spreadsheet": {
"cell_formatting": false,
"include_hidden": [],
"raw_values": false,
"trim_empty": []
}
}
}
},
"children": [
{
"type": "extract",
"config": {
"input_schema": {},
"page_range": "<string>",
"prompt": "<string>",
"effort": "low",
"confidence": "standard",
"format": [
"enriched"
]
}
}
]
}
}
'import requests
url = "https://api.runpulse.com/pipeline/configs"
payload = {
"name": "<string>",
"config": {
"step": {
"type": "parse",
"config": {
"model": "ultra-2",
"storage": {
"save": True,
"folder_id": "<string>"
},
"page_range": "<string>",
"prompt": "<string>",
"extensions": {
"additional_formats": [],
"footnotes": False,
"document_metadata": False,
"word_level_bounding_boxes": False,
"chunking": { "strategies": [] }
},
"enhancements": {
"detect": [],
"figures": {
"describe": [],
"include": False,
"prompt": None
},
"refine": { "modes": [] },
"spreadsheet": {
"cell_formatting": False,
"include_hidden": [],
"raw_values": False,
"trim_empty": []
}
}
}
},
"children": [
{
"type": "extract",
"config": {
"input_schema": {},
"page_range": "<string>",
"prompt": "<string>",
"effort": "low",
"confidence": "standard",
"format": ["enriched"]
}
}
]
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {
step: {
type: 'parse',
config: {
model: 'ultra-2',
storage: {save: true, folder_id: '<string>'},
page_range: '<string>',
prompt: '<string>',
extensions: {
additional_formats: [],
footnotes: false,
document_metadata: false,
word_level_bounding_boxes: false,
chunking: {strategies: []}
},
enhancements: {
detect: [],
figures: {describe: [], include: false, prompt: null},
refine: {modes: []},
spreadsheet: {cell_formatting: false, include_hidden: [], raw_values: false, trim_empty: []}
}
}
},
children: [
{
type: 'extract',
config: {
input_schema: {},
page_range: '<string>',
prompt: '<string>',
effort: 'low',
confidence: 'standard',
format: ['enriched']
}
}
]
}
})
};
fetch('https://api.runpulse.com/pipeline/configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runpulse.com/pipeline/configs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'config' => [
'step' => [
'type' => 'parse',
'config' => [
'model' => 'ultra-2',
'storage' => [
'save' => true,
'folder_id' => '<string>'
],
'page_range' => '<string>',
'prompt' => '<string>',
'extensions' => [
'additional_formats' => [
],
'footnotes' => false,
'document_metadata' => false,
'word_level_bounding_boxes' => false,
'chunking' => [
'strategies' => [
]
]
],
'enhancements' => [
'detect' => [
],
'figures' => [
'describe' => [
],
'include' => false,
'prompt' => null
],
'refine' => [
'modes' => [
]
],
'spreadsheet' => [
'cell_formatting' => false,
'include_hidden' => [
],
'raw_values' => false,
'trim_empty' => [
]
]
]
]
],
'children' => [
[
'type' => 'extract',
'config' => [
'input_schema' => [
],
'page_range' => '<string>',
'prompt' => '<string>',
'effort' => 'low',
'confidence' => 'standard',
'format' => [
'enriched'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.runpulse.com/pipeline/configs"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"config\": {\n \"step\": {\n \"type\": \"parse\",\n \"config\": {\n \"model\": \"ultra-2\",\n \"storage\": {\n \"save\": true,\n \"folder_id\": \"<string>\"\n },\n \"page_range\": \"<string>\",\n \"prompt\": \"<string>\",\n \"extensions\": {\n \"additional_formats\": [],\n \"footnotes\": false,\n \"document_metadata\": false,\n \"word_level_bounding_boxes\": false,\n \"chunking\": {\n \"strategies\": []\n }\n },\n \"enhancements\": {\n \"detect\": [],\n \"figures\": {\n \"describe\": [],\n \"include\": false,\n \"prompt\": null\n },\n \"refine\": {\n \"modes\": []\n },\n \"spreadsheet\": {\n \"cell_formatting\": false,\n \"include_hidden\": [],\n \"raw_values\": false,\n \"trim_empty\": []\n }\n }\n }\n },\n \"children\": [\n {\n \"type\": \"extract\",\n \"config\": {\n \"input_schema\": {},\n \"page_range\": \"<string>\",\n \"prompt\": \"<string>\",\n \"effort\": \"low\",\n \"confidence\": \"standard\",\n \"format\": [\n \"enriched\"\n ]\n }\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.runpulse.com/pipeline/configs")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"config\": {\n \"step\": {\n \"type\": \"parse\",\n \"config\": {\n \"model\": \"ultra-2\",\n \"storage\": {\n \"save\": true,\n \"folder_id\": \"<string>\"\n },\n \"page_range\": \"<string>\",\n \"prompt\": \"<string>\",\n \"extensions\": {\n \"additional_formats\": [],\n \"footnotes\": false,\n \"document_metadata\": false,\n \"word_level_bounding_boxes\": false,\n \"chunking\": {\n \"strategies\": []\n }\n },\n \"enhancements\": {\n \"detect\": [],\n \"figures\": {\n \"describe\": [],\n \"include\": false,\n \"prompt\": null\n },\n \"refine\": {\n \"modes\": []\n },\n \"spreadsheet\": {\n \"cell_formatting\": false,\n \"include_hidden\": [],\n \"raw_values\": false,\n \"trim_empty\": []\n }\n }\n }\n },\n \"children\": [\n {\n \"type\": \"extract\",\n \"config\": {\n \"input_schema\": {},\n \"page_range\": \"<string>\",\n \"prompt\": \"<string>\",\n \"effort\": \"low\",\n \"confidence\": \"standard\",\n \"format\": [\n \"enriched\"\n ]\n }\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.runpulse.com/pipeline/configs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"config\": {\n \"step\": {\n \"type\": \"parse\",\n \"config\": {\n \"model\": \"ultra-2\",\n \"storage\": {\n \"save\": true,\n \"folder_id\": \"<string>\"\n },\n \"page_range\": \"<string>\",\n \"prompt\": \"<string>\",\n \"extensions\": {\n \"additional_formats\": [],\n \"footnotes\": false,\n \"document_metadata\": false,\n \"word_level_bounding_boxes\": false,\n \"chunking\": {\n \"strategies\": []\n }\n },\n \"enhancements\": {\n \"detect\": [],\n \"figures\": {\n \"describe\": [],\n \"include\": false,\n \"prompt\": null\n },\n \"refine\": {\n \"modes\": []\n },\n \"spreadsheet\": {\n \"cell_formatting\": false,\n \"include_hidden\": [],\n \"raw_values\": false,\n \"trim_empty\": []\n }\n }\n }\n },\n \"children\": [\n {\n \"type\": \"extract\",\n \"config\": {\n \"input_schema\": {},\n \"page_range\": \"<string>\",\n \"prompt\": \"<string>\",\n \"effort\": \"low\",\n \"confidence\": \"standard\",\n \"format\": [\n \"enriched\"\n ]\n }\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"config_id": "<string>",
"name": "<string>",
"config": {
"step": {
"type": "parse",
"config": {
"model": "ultra-2",
"storage": {
"save": true,
"folder_id": "<string>"
},
"page_range": "<string>",
"prompt": "<string>",
"extensions": {
"additional_formats": [],
"footnotes": false,
"document_metadata": false,
"word_level_bounding_boxes": false,
"chunking": {
"strategies": []
}
},
"enhancements": {
"detect": [],
"figures": {
"describe": [],
"include": false,
"prompt": null
},
"refine": {
"modes": []
},
"spreadsheet": {
"cell_formatting": false,
"include_hidden": [],
"raw_values": false,
"trim_empty": []
}
}
}
},
"children": [
{
"type": "extract",
"config": {
"input_schema": {},
"page_range": "<string>",
"prompt": "<string>",
"effort": "low",
"confidence": "standard",
"format": [
"enriched"
]
}
}
]
},
"created_at": "<string>",
"updated_at": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}Authorizations
Headers
Body
application/json